W1_NEXT_PULLUP(9)

NAME
w1_next_pullup - register for a strong pullup

SYNOPSIS

void w1_next_pullup(struct w1_master * dev, int delay);

ARGUMENTS

dev
    the master device

delay
    time in milliseconds

DESCRIPTION

Put out a strong pull-up of the specified duration after the next write operation. Not all hardware supports strong pullups. Hardware that doesn't support strong pullups will sleep for the given time after the write operation without a strong pullup. This is a one shot request for the next write, specifying zero will clear a previous request. The w1 master lock must be held.

RETURN

0=success, anything else=error

AUTHOR

David Fries <David@Fries.net>
    Author.

COPYRIGHT